Name:           gtkpod
Version:        2.1.0
Release:        1%{?dist}
Summary:        Graphical song management program for Apple's iPod

Group:          Applications/Multimedia
# The help documentation is under GFDL, the rest of the code is GPLv2+
License:        GPLv2+ and GFDL
URL:            http://www.gtkpod.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Don't use -DGTK_DISABLE_DEPRECATED until https://bugzilla.redhat.com/show_bug.cgi?id=734605 is fixed
Patch0:         gtkpod-2.1.0-no-gtk-disable-deprecated.patch

BuildRequires:  gtk3-devel
BuildRequires:  curl-devel
BuildRequires:  gstreamer-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  anjuta-devel
BuildRequires:  desktop-file-utils
BuildRequires:  flac-devel
BuildRequires:  flex
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libgpod-devel >= 0.7.0
BuildRequires:  libid3tag-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  libvorbis-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig

# some of the scripts in %%{_datadir}/%%{name}/scripts use which
Requires:       which
Requires:       hicolor-icon-theme

%description
gtkpod is a platform independent Graphical User Interface for Apple's
iPod using GTK3. It supports all current iPod models, including
the Mini, Photo, Shuffle, Nano, Video, Classic, Touch, and iPhone.

%package devel
Summary: Development files for the gtkpod
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The gtkpod-devel package contains libraries and header files for
developing extensions for gtkpod.

%prep
%setup -q
%patch0 -p1 -b .no-gtk-disable-deprecated

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

desktop-file-install \
    --vendor fedora \
    --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

# delete libtool files
find %{buildroot} -name '*.la' -exec rm -f {} \;


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING README TODOandBUGS.txt TROUBLESHOOTING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}*
%dir %{_libdir}/gtkpod
%{_libdir}/gtkpod/*.plugin
%{_libdir}/gtkpod/*.so
%{_libdir}/*.so.*
%{_datadir}/glib-2.0/schemas/org.gtkpod.gschema.xml

%files devel
%{_includedir}/gtkpod
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug 30 2011 Christian Krause <chkr@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0 (GTK3 support)
- Minor spec file cleanup
- Add patch to fix compilation issue with newer GTK3 versions and anjuta
  ( https://bugzilla.redhat.com/show_bug.cgi?id=734605 )

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-2
- recompiling .py files against Python 2.7 (rhbz#623316)

* Wed Aug 11 2010 Todd Zullinger <tmz@pobox.com> - 1.0.0-1
- Update to 1.0.0

* Tue Jun 15 2010 Todd Zullinger <tmz@pobox.com> - 0.99.16-1
- Update to 0.99.16
- Link with libdl

* Sun Feb 14 2010 Todd Zullinger <tmz@pobox.com> - 0.99.14-4
- Link with libm and libvorbis (#564853)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Todd Zullinger <tmz@pobox.com> - 0.99.14-1
- Update to 0.99.14
- Add GFDL to License tag, for documentation
- Update xdg-open patch so it applies without fuzz
- Drop libgnomecanvas-devel BR, it is not used anymore
- Apply upstream patch to fix lame-tag endianess problem (this prevented gapless
  playback from working correctly)

* Sat Jan 17 2009 Todd Zullinger <tmz@pobox.com> - 0.99.12-5
- Apply upstream fix for disappearing tooltips (#428940)

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.99.12-4
- Rebuild for Python 2.6

* Tue Jun 10 2008 Todd Zullinger <tmz@pobox.com> - 0.99.12-3
- use xdg-open as default player (#449199)
  (patch from Debarshi Ray)
- update %%description to include more complete model list

* Tue Feb 12 2008 Todd Zullinger <tmz@pobox.com> - 0.99.12-2
- rebuild for gcc 4.3

* Tue Dec 11 2007 Todd Zullinger <tmz@pobox.com> - 0.99.12-1
- update to 0.99.12

* Wed Nov 21 2007 Todd Zullinger <tmz@pobox.com> - 0.99.10-2
- rebuild for libgpod-0.6.0
- apply upstream patch to fix smart playlist play time bug
- Requires: which (used in some of the provided scripts)

* Sat Aug 04 2007 Todd Zullinger <tmz@pobox.com> - 0.99.10-1
- update to 0.99.10
- use upstream .desktop file
- add new BRs, update libgpod BR to >= 0.5.2
- add %%post and %%postun to update the icon cache
- update license tag

* Fri Feb 16 2007 Todd Zullinger <tmz@pobox.com> - 0.99.8-3
- preserve timestamps when copying .desktop file to builddir and
  running make install
- use a symlink for the menu icon

* Mon Feb 12 2007 Todd Zullinger <tmz@pobox.com> - 0.99.8-2
- remove redundant gtk2-devel BR
- move .desktop creation to a separate file
- remove livna stuff from .desktop file
- don't use macros for install and mkdir
- remove NEWS file from %%doc as it mostly mirrors the ChangeLog

* Mon Feb 12 2007 Todd Zullinger <tmz@pobox.com> - 0.99.8-1
- initial fedora package, parts stolen from Matthias' FreshRPMS spec
